option task = {
    name: "MinStoredDataM2",
    every: 1h0s,
}

// Data source
data = from(bucket: "TAU_1YEAR_TEST")
    |> range(start: -task.every)
    |> filter(fn: (r) => r["_measurement"] == "Potenza Apparente M2" or r["_measurement"] == "Potenza Attiva M2" or r["_measurement"] == "Power Factor M2")
    |> filter(fn: (r) => r["_value"] > 0)

data
    // Data transformation
    |> min()
    |> map(fn: (r) => ({r with operation: "min"}))
    // Data destination
    |> to(bucket: "TAU_HIST_TEST", org: "dtman")